KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# AbstractLayerInterface Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Methods
| draw (self, Marble.ClipPainter painter, QPoint point)
| draw (self, Marble.ClipPainter painter, QSize canvasSize, Marble.ViewParams viewParams)
| draw (self, Marble.ClipPainter painter, QSize canvasSize, Marble.ViewParams viewParams, BoundingBox box)
| printToStream (self, QTextStream a0)
| setVisible (self, bool visible)
bool | visible (self)

## Method Documentation

draw | ( | self, |
|  | Marble.ClipPainter | painter,
|  | QPoint | point
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

draw | ( | self, |
|  | Marble.ClipPainter | painter,
|  | QSize | canvasSize,
|  | Marble.ViewParams | viewParams
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

draw | ( | self, |
|  | Marble.ClipPainter | painter,
|  | QSize | canvasSize,
|  | Marble.ViewParams | viewParams,
|  | BoundingBox | box
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

printToStream | ( | self, |
|  | QTextStream | a0
| ) |  |  |

setVisible | ( | self, |
|  | bool | visible
| ) |  |  |

bool visible | ( |  | self ) |